Create Grant Configuration
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/createGrantConfiguration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"name": "Standard 4-Year RTU",
"kind": "RTU",
"grantAssetType": "TOKEN",
"isExercisable": false,
"isPerformance": false,
"isCashCompensation": false
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/createGrantConfiguration"
payload = {
"name": "Standard 4-Year RTU",
"kind": "RTU",
"grantAssetType": "TOKEN",
"isExercisable": False,
"isPerformance": False,
"isCashCompensation": False
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Standard 4-Year RTU',
kind: 'RTU',
grantAssetType: 'TOKEN',
isExercisable: false,
isPerformance: false,
isCashCompensation: false
})
};
fetch('https://app.toku.com/api/tokuApi/v1/createGrantConfiguration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grantConfigurationID": "gc-0e8400-e29b-41d4-a716-446655440030"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Grants
Create Grant Configuration
Creates a grant type template (RTU, RTA, TPA, TOKEN_BONUS) for your organization.
POST
/
createGrantConfiguration
Create Grant Configuration
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
Example:
"Standard 4-Year RTU"
Available options:
RTU, RTA, TPA, TOKEN_BONUS Example:
"RTU"
Available options:
TOKEN, FIAT, HYBRID Example:
"TOKEN"
Example:
false
Example:
false
Example:
false
Response
Configuration created
Example:
"gc-0e8400-e29b-41d4-a716-446655440030"
⌘I
